Module jdk.sctp
Package com.sun.nio.sctp

## Class InvalidStreamException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - com.sun.nio.sctp.InvalidStreamException

- All Implemented Interfaces:
    `Serializable`

      public class InvalidStreamException
      extends IllegalArgumentException

  Unchecked exception thrown when an attempt is made to send a message to an invalid stream.
  Since:
    1.7
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InvalidStreamException​()` | Constructs an instance of this class.
    `InvalidStreamException​(String msg)` | Constructs an instance of this class with the specified detailed message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### InvalidStreamException

          public InvalidStreamException​()

      Constructs an instance of this class.

    - #### InvalidStreamException

          public InvalidStreamException​(String msg)

      Constructs an instance of this class with the specified detailed message.
      Parameters:
        `msg` - The String that contains a detailed message